Bug 1326279 - [RFE] Add Ability to Disable Manila Public Shares
Summary: [RFE] Add Ability to Disable Manila Public Shares
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-manila-ui
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: rc
: 10.0 (Newton)
Assignee: Victoria Martinez de la Cruz
QA Contact: Dustin Schoenbrun
URL:
Whiteboard:
Depends On:
Blocks: 1393893 1423349
TreeView+ depends on / blocked
 
Reported: 2016-04-12 10:19 UTC by Robin Cernin
Modified: 2019-01-10 16:07 UTC (History)
11 users (show)

Fixed In Version: openstack-manila-ui-2.5.1-0.20160929180323.81c354a.el7ost
Doc Type: Enhancement
Doc Text:
Clone Of:
: 1393893 (view as bug list)
Environment:
Last Closed: 2016-12-14 15:32:58 UTC
scohen: needinfo+


Attachments (Terms of Use)
screen shot of share-type is-public button enabled (34.51 KB, image/png)
2016-11-04 18:52 UTC, Tom Barron
no flags Details
screen shot of share-type is-public button hidden (33.58 KB, image/png)
2016-11-04 18:54 UTC, Tom Barron
no flags Details
screen shot of private 'test' share-type (49.42 KB, image/png)
2016-11-04 18:55 UTC, Tom Barron
no flags Details
screen shot of create-share panel with is-public button (49.89 KB, image/png)
2016-11-04 18:56 UTC, Tom Barron
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2948 normal SHIPPED_LIVE Red Hat OpenStack Platform 10 enhancement update 2016-12-14 19:55:27 UTC
OpenStack gerrit 325666 None None None 2016-08-16 23:27:40 UTC
Launchpad 1593057 None None None 2016-08-16 23:26:57 UTC

Comment 3 Stephen Gordon 2016-06-09 18:48:59 UTC
Bulk update to reflect scope of Red Hat OpenStack Platform 9 and Red Hat OpenStack Platform does not include this issue (No pm_ack+).

Comment 4 Elise Gafford 2016-08-17 15:02:09 UTC
This is a legitimate bug, not a feature, and thus should not be blocked by upstream feature freeze.

Comment 5 Tom Barron 2016-08-29 19:36:19 UTC
https://review.openstack.org/325666 merged upstream in master and will be available for OSP10.

Comment 6 Elise Gafford 2016-10-05 10:18:32 UTC
This change is verified as being included in the current build of the Manila UI. Adding needinfos on scohen and dschoenb for pm_ack and qa_ack.

Comment 7 Tom Barron 2016-10-14 21:21:59 UTC
Need QA_ACK here.

Comment 10 Tom Barron 2016-11-04 18:52:52 UTC
Created attachment 1217490 [details]
screen shot of share-type is-public button enabled

Comment 11 Tom Barron 2016-11-04 18:54:09 UTC
Created attachment 1217491 [details]
screen shot of share-type is-public button hidden

Comment 12 Tom Barron 2016-11-04 18:55:46 UTC
Created attachment 1217492 [details]
screen shot of private 'test' share-type

Comment 13 Tom Barron 2016-11-04 18:56:56 UTC
Created attachment 1217494 [details]
screen shot of create-share panel with is-public button

Comment 14 Tom Barron 2016-11-04 18:59:53 UTC
@dschoenb:

I went to verify this fix on an overcloud deployment using 2016-10-31.3 puddle.

(I) Downstream code definitely fixes the launchpad bug [1] cited in the case [2] behind this BZ. With default Horizon configuration, share-type 'is_public' checkbox appears as illustrated here [3].  But now if one modifies /etc/openstack-dashboard/local_settings on controllers running horizon to include

OPENSTACK_MANILA_FEATURES = { 'enable_public_share_type_creation': False, }

and runs 'systemctl restart httpd' the button disappears as illustrated here [4]
and the resulting share_type is *not* public, as illustrated for share_type
'test' in [5].

(II) However, the case and this BZ are really asking for two things, not only a fix for [1] but also a way to suppress the choice of 'is_public' when creating *shares* themselves.  This check-button is illustrated here [6].

[1] https://bugs.launchpad.net/bugs/1593057
[2] https://access.redhat.com/support/cases/01614010
[3] https://bugzilla.redhat.com/attachment.cgi?id=1217490
[4] https://bugzilla.redhat.com/attachment.cgi?id=1217491
[5] https://bugzilla.redhat.com/attachment.cgi?id=1217492
[6] https://bugzilla.redhat.com/attachment.cgi?id=1217494

Dustin, my suggestion is that rather than putting this BZ back ON_DEV and having the BZ fix two distinct issues, you should clone the BZ, rename this one to 'Please add ability to disable manila public share type' and mark it Verified on the basis of my screenshots, and target the new BZ (for 'Please add the ability to disable manila public shares') for OSP-11.  I think the fix for it will be straightforward and we can likely bring it back into OSP-10 zstream
but we have file a launchpad bug and get it merged upstream first.

Please let me know if that seems the reasonable thing from your standpoint.

Comment 15 Dustin Schoenbrun 2016-11-10 15:11:24 UTC
Based on the contents of Tom's screenshots we can safely say that we can disable the creation of Public Share Types in Manila through the Manila UI. Thanks for helping out with this, Tom!

Comment 17 errata-xmlrpc 2016-12-14 15:32:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2948.html


Note You need to log in before you can comment on or make changes to this bug.